> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mottostreaming.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Batch get file kinds

> BatchGetFileKinds

 Returns kinds of files by file_kind IDs.



## OpenAPI

````yaml get /ott/file_kinds/v1/batch
openapi: 3.0.3
info:
  title: Studio API - Motto
  version: 0.0.0
servers:
  - url: https://api.mottostreaming.com
    description: Production server
security:
  - BearerAuth: []
tags:
  - name: AccountService
    description: Account management service
  - name: ActionConfigurationService
    description: Action configuration service definition
  - name: ActionSecretService
    description: Action type service definition
  - name: ActionService
    description: Action service definition
  - name: ActionTypeService
    description: Action type service definition
  - name: ActivityService
    description: Activity service definition
  - name: AdService
    description: Ad management service.
  - name: AnnotationService
    description: Annotation service definition
  - name: AnnotationSetService
    description: Annotation service definition
  - name: AnnotationTypeService
    description: Annotation service definition
  - name: AssetService
    description: Asset management service.
  - name: AuthService
    description: Auth service definition
  - name: BannerService
    description: Banner service definition
  - name: BannerV2Service_v2
    description: Banner service definition
  - name: CleengService
    description: CleengService service definition
  - name: ClipService
    description: ClipService is the service that handles Clip operations.
  - name: ConfigurationService
    description: >-
      Configuration management service. These configurations allow modifying the
      behavior of streams, uploads, simulcasts, etc.
  - name: ContentTypeService
    description: ContentType service definition
  - name: CreativeWorkService
    description: CreativeWork service definition
  - name: EntitlementService
    description: Entitlement service definition
  - name: EntityService
    description: Entity service definition
  - name: EventService
    description: Event service definition
  - name: FileService
    description: OTT files management.
  - name: IngestService
    description: Ingest management service.
  - name: IngestService_v2
    description: Ingest management service.
  - name: LiveStreamService
    description: LiveStream management service.
  - name: LiveStreamService_v2
    description: LiveStream management service.
  - name: OfferService
    description: Offer service definition
  - name: OrganizationService
    description: Organization management service.
  - name: PageService
    description: Page service definition
  - name: PlatformService
    description: Platform service definition
  - name: PlaylistService
    description: Playlist management service.
  - name: ProjectService
    description: Project management service.
  - name: SimulcastService
    description: Simulcast management service.
  - name: SlugService
    description: Slug service definition
  - name: SpiideoService
    description: SpiideoService service definition
  - name: StandingService
    description: Standing service definition
  - name: StitcherService
    description: StitcherService is the service that handles stitching operations.
  - name: StripeService
    description: StripeService service definition
  - name: SubscriptionService
    description: Subscription service definition
  - name: SubtitleService
    description: SubtitleService is the service that handles Subtitle operations.
  - name: TransactionService
    description: Transaction service definition
  - name: UploadService
    description: Upload management service.
  - name: UsageService
    description: The UsageService provides methods to retrieve usage data for SKUs.
  - name: UserService
    description: User management service
  - name: VODService
    description: VODService is the service that handles VOD operations.
  - name: VODService_v2
    description: VODService is the service that handles VOD operations.
  - name: VideoProtectionService
    description: VideoProtection management service.
  - name: VideoProtectionService_v2
    description: VideoProtection management service.
  - name: VideoService
    description: Video management service.
paths:
  /ott/file_kinds/v1/batch:
    get:
      tags:
        - FileService
      description: |-
        BatchGetFileKinds

         Returns kinds of files by file_kind IDs.
      operationId: FileService_BatchGetFileKinds
      parameters:
        - name: file_kind_ids
          in: query
          required: true
          schema:
            type: array
            items:
              type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/motto.ott.file.v1.BatchGetFileKindsResponse
        default:
          description: Default error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/google.rpc.Status'
components:
  schemas:
    motto.ott.file.v1.BatchGetFileKindsResponse:
      type: object
      properties:
        file_kinds:
          type: array
          items:
            $ref: '#/components/schemas/motto.ott.file.v1.FileKind'
    google.rpc.Status:
      type: object
      properties:
        code:
          type: integer
          description: >-
            The status code, which should be an enum value of
            [google.rpc.Code][google.rpc.Code].
          format: int32
        message:
          type: string
          description: >-
            A developer-facing error message, which should be in English. Any
            user-facing error message should be localized and sent in the
            [google.rpc.Status.details][google.rpc.Status.details] field, or
            localized by the client.
        details:
          type: array
          items:
            $ref: '#/components/schemas/google.protobuf.Any'
          description: >-
            A list of messages that carry the error details.  There is a common
            set of message types for APIs to use.
      description: >-
        The `Status` type defines a logical error model that is suitable for
        different programming environments, including REST APIs and RPC APIs. It
        is used by [gRPC](https://github.com/grpc). Each `Status` message
        contains three pieces of data: error code, error message, and error
        details. You can find out more about this error model and how to work
        with it in the [API Design
        Guide](https://cloud.google.com/apis/design/errors).
    motto.ott.file.v1.FileKind:
      type: object
      properties:
        id:
          readOnly: true
          type: string
          description: The id of the file kind.
        name:
          readOnly: true
          type: string
          description: |-
            The name of the file kind.
             For example, "Info.plist", "brandFont.ttf", "secondaryFont.ttf", "splashScreen.png", etc. This is the name
             the file will be given when used in the environment project / build pipeline.
        environment:
          readOnly: true
          type: string
          description: >-
            The environment to which this filetype belongs. The available
            options are:
             "web", "ios", "android", "tvos", "lg", "samsung", "androidtv"
        description:
          readOnly: true
          type: string
          description: The description of the file kind.
        content_types:
          readOnly: true
          type: array
          items:
            type: string
          description: |-
            The expected content type(s) of the file.
             For example, "image/jpeg", "video/mp4", "application/pdf".
        min_count:
          readOnly: true
          type: integer
          description: The minimum number of files required of this kind. Default to 0.
          format: int32
        max_count:
          readOnly: true
          type: integer
          description: |-
            The maximum number of files allowed of this kind. Default to 1.
             If more than 1 file of this kind is provided, it is up to the build pipeline to decide how to handle multiple files.
          format: int32
        max_size:
          type: string
          description: >-
            The maximum number of bytes allowed for a single file of this kind.
            Default to 5 Mb (1024 * 1024 * 5).
        template:
          type: string
          description: >-
            A template that can be used to understand what the file should look
            like. Depending on the content_type, this
             may be more or less useful.
        category:
          type: string
          description: The category of the file kind.
        priority:
          type: string
          description: >-
            The priority of the file kind. A higher priority means that the file
            kind is more important, and will appear
             earlier in the list.
    google.protobuf.Any:
      type: object
      properties:
        '@type':
          type: string
          description: The type of the serialized message.
      additionalProperties: true
      description: >-
        Contains an arbitrary serialized message along with a @type that
        describes the type of the serialized message.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````